"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PeerconnectionRepository = void 0;
const model_1 = require("../model");
const service_common_1 = require("@crosslab/service-common");
class PeerconnectionRepository extends service_common_1.AbstractRepository {
    constructor() {
        super('Peerconnection');
        this.dependencies = {};
    }
    dependenciesMet() {
        return true;
    }
    initialize(entityManager) {
        this.repository = entityManager.getRepository(model_1.PeerconnectionModel);
    }
    async write(model, data) {
        model.url = data;
    }
    async format(model) {
        return model.url;
    }
}
exports.PeerconnectionRepository = PeerconnectionRepository;
//# sourceMappingURL=peerconnection.js.map